JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TooltipClient Class Referenceabstract
juce_gui_basics » mouse

Components that want to use pop-up tooltips should implement this interface. More...

`#include <juce_TooltipClient.h>`

Inheritance diagram for TooltipClient:

## Public Member Functions
virtual | ~TooltipClient ()=default
| Destructor.
virtual String | getTooltip ()=0
| Returns the string that this object wants to show as its tooltip.

## Detailed Description

Components that want to use pop-up tooltips should implement this interface.

A TooltipWindow will wait for the mouse to hover over a component that implements the TooltipClient interface, and when it finds one, it will display the tooltip returned by its getTooltip() method.

See also
  TooltipWindow, SettableTooltipClient

## Constructor & Destructor Documentation

## ◆ ~TooltipClient()

virtual TooltipClient::~TooltipClient | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ getTooltip()

virtual String TooltipClient::getTooltip | ( |  | ) |
| pure virtual

Returns the string that this object wants to show as its tooltip.

Implemented in SettableTooltipClient, and ComboBox.

The documentation for this class was generated from the following file:

- juce_TooltipClient.h